%define pypi_name django-user-accounts

Name:           python-django-user-accounts
Version:        3.3.2
Release:        %mkrel 2
Group:          Development/Python
Summary:        a Django user account app

License:        MIT
URL:            https://github.com/pinax/django-user-accounts
Source0:        https://pypi.python.org/packages/source/d/django-user-accounts/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx

%description
Provides a Django project with a very extensible infrastructure for dealing with user accounts.

%package -n     python3-%{pypi_name}
Summary:        a Django user account app
Group:          Development/Python

%description -n python3-%{pypi_name}
Provides a Django project with a very extensible infrastructure for dealing with user accounts.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files account

rm -rf %{buildroot}%{python3_sitelib}/*.py
rm -rf %{buildroot}%{python3_sitelib}/__pycache__/
rm -rf %{buildroot}%{python3_sitelib}/docs/

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc html


%changelog
* Mon Mar 03 2025 wally <wally> 3.3.2-2.mga10
+ Revision: 2159693
- rebuild for python3.13

* Fri Feb 23 2024 daviddavid <daviddavid> 3.3.2-1.mga10
+ Revision: 2043433
- new version: 3.3.2
- rebuild for py3.12
- switch to pyproject

* Tue Mar 29 2022 umeabot <umeabot> 3.0.4-2.mga9
+ Revision: 1832922
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 3.0.4-1.mga9
+ Revision: 1785063
- version 3.0.4
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.1.0-4.mga9
+ Revision: 1732369
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.1.0-3.mga8
+ Revision: 1535233
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 2.1.0-2.mga8
+ Revision: 1451600
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 2.1.0-1.mga8
+ Revision: 1430999
- new version 2.1.0
- drop python2 support

* Sat Jan 12 2019 tmb <tmb> 1.2.0-5.mga7
+ Revision: 1355186
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.2.0-4.mga7
+ Revision: 1288775
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.2.0-3.mga7
+ Revision: 1135392
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 1.2.0-2.mga6
+ Revision: 971243
- Mageia 6 Mass Rebuild

* Tue Oct 13 2015 philippem <philippem> 1.2.0-1.mga6
+ Revision: 890480
- imported package python-django-user-accounts

